pattern.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::UnaryPropagator< View, pc >
| Unary propagator. More...
class | Gecode::BinaryPropagator< View, pc >
| Binary propagator. More...
class | Gecode::TernaryPropagator< View, pc >
| Ternary propagator. More...
class | Gecode::NaryPropagator< View, pc >
| n-ary propagator More...
class | Gecode::NaryOnePropagator< View, pc >
| (n+1)-ary propagator More...
class | Gecode::MixBinaryPropagator< View0, pc0, View1, pc1 >
| Mixed binary propagator. More...
class | Gecode::MixTernaryPropagator< View0, pc0, View1, pc1, View2, pc2 >
| Mixed ternary propagator. More...
class | Gecode::MixNaryOnePropagator< View0, pc0, View1, pc1 >
| Mixed (n+1)-ary propagator. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace